Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] amarok erreur
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 8:20 am    Post subject: [emerge] amarok erreur Reply with quote

petite erreur d'amarok lors de la compilation.

Un problème au niveau de QT mais je ne comprends pas assez bien pour regler ca.


Code:

checking for Qt... libraries /usr/qt/3/lib, headers /usr/qt/3/include using -mt
checking for moc... /usr/qt/3/bin/moc
checking for uic... /usr/qt/3/bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... libraries /usr/kde/3.5/lib, headers /usr/kde/3.5/include
checking if UIC has KDE plugins available... no
[b]configure: error:
you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
[/b]

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/media-sound/amarok-1.4.3-r1/work/amarok-1.4.3/config.log

!!! ERROR: media-sound/amarok-1.4.3-r1 failed.
Call stack:
  ebuild.sh, line 1548:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  amarok-1.4.3-r1.ebuild, line 75:   Called kde_src_compile
  kde.eclass, line 171:   Called kde_src_compile 'all'
  kde.eclass, line 338:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 320:   Called econf '--enable-mysql' '--disable-postgresql' '--with-opengl' '--with-xmms' '--without-libvisual' '--enable-amazon' '--with-libgpod' '--with-mp4v2' '--without-ifp' '--with-helix' '--without-libnjb' '--without-musicbrainz' '--without-libmtp' '--with-xine' '--without-mas' '--without-nmm' '--with-x' '--enable-mitshm' '--without-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--with-arts' '--with-extra-includes=/usr/kde/3.5/include' '--with-extra-libs=/usr/kde/3.5/lib'
  ebuild.sh, line 540:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


Merci d'avance pour votra aide
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Wed Oct 18, 2006 8:23 am    Post subject: Reply with quote

Code:
you need to install kdelibs first.


Je ne sais pas comment tu en es arrivé là mais bon, la commande suivante devrait pouvoir remettre les choses en ordre :
Code:
# emerge -1 kdelibs && emerge amarok


Tu as KDE ?
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 8:31 am    Post subject: Reply with quote

Oui justement, c'est ca qui est assez bizard, je tourne sur kde en ce moment.....


trop strange.

Te redis dès que la compil est finie

Merci :-)
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Wed Oct 18, 2006 9:13 am    Post subject: Reply with quote

C'est une installation de kdelibs qui ne sait pas faite correctement. :cry:
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 9:53 am    Post subject: Reply with quote

Donc après ré-compilation de kdelibs

j'ai la même erreur pour amarok

Code:

configure: error:
you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.


!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/media-sound/amarok-1.4.3-r1/work/amarok-1.4.3/config.log

!!! ERROR: media-sound/amarok-1.4.3-r1 failed.
Call stack:
  ebuild.sh, line 1548:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  amarok-1.4.3-r1.ebuild, line 75:   Called kde_src_compile
  kde.eclass, line 171:   Called kde_src_compile 'all'
  kde.eclass, line 338:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 320:   Called econf '--enable-mysql' '--disable-postgresql' '--with-opengl' '--with-xmms' '--without-libvisual' '--enable-amazon' '--with-libgpod' '--with-mp4v2' '--without-ifp' '--with-helix' '--without-libnjb' '--without-musicbrainz' '--without-libmtp' '--with-xine' '--without-mas' '--without-nmm' '--with-x' '--enable-mitshm' '--without-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--with-arts' '--with-extra-includes=/usr/kde/3.5/include' '--with-extra-libs=/usr/kde/3.5/lib'
  ebuild.sh, line 540:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.




Une idée qqun?
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Wed Oct 18, 2006 10:00 am    Post subject: Reply with quote

Il y a deux USE fags pour qt : "qt3" et "qt4".

Regarde dans ton /etc/portage/package.use si tu n'aurais pas un flag pour kdelibs et l'autre pour amarok.
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 10:03 am    Post subject: Reply with quote

Tu as raison qt3 & qt4 dans mon make.conf.


Merci a toi!

je vais re-essayer
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Wed Oct 18, 2006 10:05 am    Post subject: Reply with quote

Globalement, quand tu fais un "emerge -pv amarok" , ça sort quoi?
(histoire qu'on matte tes flags)
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 10:12 am    Post subject: Reply with quote

Code:

[ebuild     U ] media-sound/amarok-1.4.3-r1 [1.3.8] USE="aac%* arts ipod%* kde mysql opengl real%* xmms -debug -ifp% -njb% -noamazon -postgres -visualization -xinerama (-flac%) (-gstreamer%*) (-mp3%*) (-vorbis%*) (-xine%*)" LINGUAS="fr -az -bg -br -ca -cs -cy -da -de -el -en_GB -es -et -fi -ga -gl -he -hi -hu -is -it -ja -ka% -km% -ko -lt -ms% -nb -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw% -sl -sr -sr@Latn -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW (-be%) (-eo%) (-hr%) (-id%) (-ku%) (-lo%) (-nds%) (-se%) (-sq%) (-ss%)" 0 kB



Code:

Portage 2.1.2_pre2-r9 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-gentoo-r9 i686)
=================================================================
System uname: 2.6.16-gentoo-r9 i686 Mobile Intel(R) Pentium(R) 4 CPU 3.06GHz
Gentoo Base System version 1.12.4
Last Sync: Tue, 17 Oct 2006 10:20:01 +0000
distcc[29078] (dcc_trace_version) distcc 2.18.3 i686-pc-linux-gnu; built May  5 2006 12:17:46 [disabled]
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.0-r2, 2.0.26-r6
dev-lang/python:     2.3.5-r2, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -mtune=pentium4 -O3 -pipe -fforce-addr -falign-functions=4 -fprefetch-loop-arrays -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/splash /etc/terminfo"
CXXFLAGS="-march=pentium4 -mtune=pentium4 -O3 -pipe -fforce-addr -falign-functions=4 -fprefetch-loop-arrays -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms"
GENTOO_MIRRORS="http://gentoo.modulix.net/gentoo/"
LANG="fr_CH.ISO-8859-1"
LC_ALL="fr_CH.utf8"
LINGUAS="fr fr_CH en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/xgl-coffee"
SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"
USE="x86 3dnow X a52 aac acc acpi alsa amarok apache2 apm aqua_theme arts avi berkdb bitmap-fonts cairo ccache cdda cddb cdinstall cdparanoia cdrom cgi clamav clanJavaScript cpudetection cracklib crypt crypto_openssl css cups dlloader double-precision dri dv dvd dvdr dvdread eds elibc_glibc emboss encode esd ethereal fbsplash festival firefox flash flood foomaticdb fortran fping gaim gdbm gif gnome gnome-print gnuplot gnustep gpgme gphoto2 gpm gstreamer gtk gtk2 gzip hal hardenedphp hash hostap http httpd imagemagick imlib input_devices_evdev input_devices_keyboard input_devices_mouse ipod ipv6 john jpeg kde kdepim kdexdeltas kdgraphics kernel_linux kexi lame ldap libg++ libsexy libwww linguas_en linguas_fr linguas_fr_CH live logrotate logwatch mad madwifi matroska mbrola md5sum messages mikmod mime mimencode mjpeg mmx mmxext motif mp3 mpeg mpeg2 mplayer musepack music mysql mythtv nagios-dns nagios-ping nagios-ssh ncurses net nethack nls nsplugin ntfs nvidia ogg opengl oss pcmcia pcre pda pdf pdflib perl php png postges pt python qgt qmail qt4 quicktime rar rdesktop readline real reflection rhythmbox scp sdk sdl session skins smartcard smime sms smtp sounds sox spamassassin spell sqlite sse ssh ssl subtitles suid symlink sysfs syslog tcpd theora threads tidy tos transcode translator transparent-proxy truetype truetype-fonts type1-fonts udev unicode unzip upnp urandom usb userland_GNU userlocales utf8 v4l vcd vcdimager vfat video_cards_nv video_cards_nvidia video_cards_vmware videos vim vmware vnc voice vorbis webdav wifi win32codecs wma wma123 x11vnc xine xlockrc xml xmms xorg xprint xscreensaver xsettings yaepg zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Wed Oct 18, 2006 10:32 am    Post subject: Reply with quote

Code:
eselect compiler list
stp?

EDIT : je dis ça car :

Quote:
Portage 2.1.2_pre2-r9 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-gentoo-r9 i686)


Me titille ... on est en 2006.1 avec gcc 4.1.1 ... quand il dit que ton kdelibs n'a pas été compilé par le même compilateur, ca ne m'étonnerait pas qu'un des deux compile avec gcc4 et l'autre avec gcc3.
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Wed Oct 18, 2006 10:36 am    Post subject: Reply with quote

Code:

[b]!!! Error: Can't load module compiler[/b]
exiting.



Code:

Usage: eselect <global options> <module name> <module options>

Global options:
  --no-color,--no-colour    Disable coloured output

Built-in modules:
  help                      Display a help message
  list-modules              Find and display available modules
  usage                     Display a usage message
  version                   Display version information

Extra modules:
  bashcomp                  Manage contributed bash-completion scripts
  binutils                  Manage installed versions of sys-devel/binutils
  blas                      Manage installed BLAS implementations
  env                       Manage environment variables set in /etc/env.d/
  java-nsplugin             Manage the Java plugin for Netscape-like Browsers
  java-vm                   Manage the Java system and user VM
  kernel                    Manage the /usr/src/linux symlink
  lapack                    Manage installed LAPACK implementations
  mailer                    Manage the mailwrapper profiles in /etc/mail
  oodict                    Manage the configuration of dictionaries for OpenOffice.Org.
exiting.
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Wed Oct 18, 2006 10:47 am    Post subject: Reply with quote

Tu as lancé un "emerge -uDN world" suite à ta modification de USE ?
Sinon, même si je ne pense pas que ton problème vienne de là, tes CFLAGS et CXXFLAGS sont assez agressifs...

Pour le profil, je n'y crois pas. Pour le compilateur peut-être...
Back to top
View user's profile Send private message
man in the hill
Veteran
Veteran


Joined: 15 Dec 2005
Posts: 1552
Location: Madinina

PostPosted: Wed Oct 18, 2006 10:49 am    Post subject: Reply with quote

Temet wrote:
Code:
eselect compiler list
stp?


eselect-compiler est tjrs masqué, problème pas encore réglé ... donc
Code:
gcc-config -l



@ +
_________________
Get Up and Go !
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Wed Oct 18, 2006 10:52 am    Post subject: Reply with quote

Temet wrote:
Code:
eselect compiler list
stp?

EDIT : je dis ça car :

Quote:
Portage 2.1.2_pre2-r9 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-gentoo-r9 i686)


Me titille ... on est en 2006.1 avec gcc 4.1.1 ... quand il dit que ton kdelibs n'a pas été compilé par le même compilateur, ca ne m'étonnerait pas qu'un des deux compile avec gcc4 et l'autre avec gcc3.

Code:
gcc-config -l

eselect-compiler est déprécié depuis un moment.
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Wed Oct 18, 2006 12:08 pm    Post subject: Reply with quote

Oups, toutes mes confuses ... j'ai fait ça de tête sous Windows (bah oui, le taf ...) :oops: :oops:
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Thu Oct 19, 2006 8:01 am    Post subject: Reply with quote

Qu'entends-tu par les CFLAGS & CYFLAGS pas assez arrgessif?

Code:

USER@Titan ~ $ gcc-config -l
 [1] i686-pc-linux-gnu-3.3.5-20050130
 [2] i686-pc-linux-gnu-3.3.5-20050130-hardened
 [3] i686-pc-linux-gnu-3.3.5-20050130-hardenednopie
 [4] i686-pc-linux-gnu-3.3.5-20050130-hardenednopiessp
 [5] i686-pc-linux-gnu-3.3.5-20050130-hardenednossp
 [6] i686-pc-linux-gnu-3.4.6 *
 [7] i686-pc-linux-gnu-3.4.6-hardened
 [8] i686-pc-linux-gnu-3.4.6-hardenednopie
 [9] i686-pc-linux-gnu-3.4.6-hardenednopiessp
 [10] i686-pc-linux-gnu-3.4.6-hardenednossp
 [11] i686-pc-linux-gnu-4.1.1
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Thu Oct 19, 2006 9:10 am    Post subject: Reply with quote

Non, trop agressif ! Personellement je tourne avec "-O2 -fomit-frame-pointer"...
Lorsque les développeurs Gentoo testent l'intégration des logiciels ils ne s'encombrent guère de plus. Du coup, tu gagnes peut-être quelques microsecondes par ci par là mais en cas de problème, il y a toujours l'éventualité que le problème vienne de là... et dans ce cas le temps perdu ne se comte plus en microsecondes...

Cela dit, pour le problème présent, je n'y crois pas trop.


Tu ne m'as pas répondu :
Magic Banana wrote:
Tu as lancé un "emerge -uDN world" suite à ta modification de USE ?


Concernant les compilateurs, il semblerait que tu utilises encore la version 3.4.6 de gcc. Est-ce un choix volontaire de ne pas passer au 4.1.1 (pourtant installé sur ton nordi) ?
Pour passer au 4.1.1 tu dois suivre le Guide de mise a jour de GCC pour Linux Gentoo qui se finit avec la supression des autres versions de gcc. Le guide recommande une recompilation de tout ton système. Je te souhaite donc beacoup de patience ! :D
Back to top
View user's profile Send private message
mrgarrison
n00b
n00b


Joined: 18 Oct 2006
Posts: 16

PostPosted: Thu Oct 19, 2006 1:03 pm    Post subject: Reply with quote

Trop agressif tu dis? je n'avais jamais eu de problèmes jusqu'a maintenant. Mais tu dois avoir raison. Je change ca tout de suite.

Pour ta question, oui j'ai fais un
Code:
 emerge -DuN world
.

Concernant gcc, oui c'est un choix personnel, surtout un manque de temps, mais je vais me mettre à gcc 4....

pour la patience, je sais bien ce que c'est
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum